"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.drupalFeeds = void 0;
const drupalFeeds = (execute) => __awaiter(void 0, void 0, void 0, function* () {
    const results = (yield execute({
        operationName: 'DrupalFeedInfo',
        query: `
    query DrupalFeedInfo {
      drupalFeedInfo {
        typeName
        translatable
        singleFieldName
        listFieldName
        pathFieldName
        templateFieldName
      }
    }
    `,
        variables: {},
    }));
    if (!results.data) {
        throw new Error(`Cannot fetch Drupal feed information: ${JSON.stringify(results, null, 2)}`);
    }
    return results.data.drupalFeedInfo || [];
});
exports.drupalFeeds = drupalFeeds;
